Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Interface IReportRunnable

All Superinterfaces:
  IRunnable

    public interface IReportRunnable

extends IRunnable

A runnable report design (i.e., not modifiable) that can be run in the BIRT engine

Field Summary
`static java.lang.String` | `AUTHOR`
`static java.lang.String` | `BASE_PROP`
`static java.lang.String` | `COMMENTS`
`static java.lang.String` | `CREATEDBY`
`static java.lang.String` | `DESCRIPTION`
`static java.lang.String` | `HELP_GUIDE`
`static java.lang.String` | `REFRESH_RATE`
`static java.lang.String` | `TITLE`
`static java.lang.String` | `UNITS`

Method Summary
`org.eclipse.birt.report.model.api.DesignElementHandle` | `getDesignHandle()` returns the design element handle that design engine creates when opening the report
`org.eclipse.birt.report.engine.api.script.element.IReportDesign` | `getDesignInstance()` Returns the report design
`IImage` | `getImage(java.lang.String name)` returns an image stored in a report design file, or null if the image name does not exist
`java.lang.Object` | `getProperty(java.lang.String propertyName)` returns the property value for things like report description, title, etc.
`java.lang.Object` | `getProperty(java.lang.String path, java.lang.String propertyName)` returns the property value defined on a components in a report design.
`IReportEngine` | `getReportEngine()` returns the report engine
`java.lang.String` | `getReportName()` returns report name
`java.util.HashMap` | `getTestConfig()` returns test configuration for the report
`void` | `setDesignHandle(org.eclipse.birt.report.model.api.DesignElementHandle handle)` sets a new report design handle before rendering the report

Field Detail

### TITLE

    static final java.lang.String TITLE

See Also:
  Constant Field Values

### AUTHOR

    static final java.lang.String AUTHOR

See Also:
  Constant Field Values

### DESCRIPTION

    static final java.lang.String DESCRIPTION

See Also:
  Constant Field Values

### COMMENTS

    static final java.lang.String COMMENTS

See Also:
  Constant Field Values

### CREATEDBY

    static final java.lang.String CREATEDBY

See Also:
  Constant Field Values

### HELP_GUIDE

    static final java.lang.String HELP_GUIDE

See Also:
  Constant Field Values

### BASE_PROP

    static final java.lang.String BASE_PROP

See Also:
  Constant Field Values

### UNITS

    static final java.lang.String UNITS

See Also:
  Constant Field Values

### REFRESH_RATE

    static final java.lang.String REFRESH_RATE

See Also:
  Constant Field Values

Method Detail

### getImage

    IImage getImage(java.lang.String name)

  returns an image stored in a report design file, or null if the image name does not exist

  Parameters:
    `name` - the image name for the embedded image

### getProperty

    java.lang.Object getProperty(java.lang.String propertyName)

  returns the property value for things like report description, title, etc.

  Parameters:
    `propertyName` - the name of the property
  Returns:
    the property value for things like report description, title, etc.

### getProperty

    java.lang.Object getProperty(java.lang.String path,
                                 java.lang.String propertyName)

  returns the property value defined on a components in a report design. For example, getProperty("/dataSets/dsName", "url") will return the url value for a data set with name dsName.

  Parameters:
    `propertyName` - the name of the property
    `path` - a simplified XPath that allows access to properties for components in a report design. Only downward path is allowed, i.e., no .. in the path.
  Returns:
    the property value for things like report description, title, etc.

### getDesignHandle

    org.eclipse.birt.report.model.api.DesignElementHandle getDesignHandle()

  returns the design element handle that design engine creates when opening the report

  Returns:
    the design element handle that design engine creates when opening the report

### setDesignHandle

    void setDesignHandle(org.eclipse.birt.report.model.api.DesignElementHandle handle)

  sets a new report design handle before rendering the report

  Parameters:
    `handle` - a new report design handle

### getReportName

    java.lang.String getReportName()

  returns report name

  Returns:
    the name of the report

### getTestConfig

    java.util.HashMap getTestConfig()

  returns test configuration for the report

  Returns:
    test configurations for the report

### getReportEngine

    IReportEngine getReportEngine()

  returns the report engine

  Returns:
    the report engine

### getDesignInstance

    org.eclipse.birt.report.engine.api.script.element.IReportDesign getDesignInstance()

  Returns the report design

  Returns:
    the report design

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.